aboutsummaryrefslogtreecommitdiffstats
path: root/.gitlab-ci/fossilize-runner.sh
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab-ci/fossilize-runner.sh')
-rwxr-xr-x.gitlab-ci/fossilize-runner.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.gitlab-ci/fossilize-runner.sh b/.gitlab-ci/fossilize-runner.sh
new file mode 100755
index 00000000000..618c2aa5b72
--- /dev/null
+++ b/.gitlab-ci/fossilize-runner.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -ex
+
+if [ -z "$VK_DRIVER" ]; then
+ echo 'VK_DRIVER must be to something like "radeon" or "intel" for the test run'
+ exit 1
+fi
+
+ARTIFACTS=`pwd`/artifacts
+
+# Set up the driver environment.
+export LD_LIBRARY_PATH=`pwd`/install/lib/
+export VK_ICD_FILENAMES=`pwd`/install/share/vulkan/icd.d/"$VK_DRIVER"_icd.x86_64.json
+
+"$ARTIFACTS/fossils/fossils.sh" "$ARTIFACTS/fossils.yml"